Package net.rubygrapefruit.platform.internal

# Class AbstractTerminals

java.lang.Object
net.rubygrapefruit.platform.internal.AbstractTerminals

All Implemented Interfaces:
  `NativeIntegration`, `Terminals`

Direct Known Subclasses:
  `TerminfoTerminals`, `WindowsTerminals`

public abstract class AbstractTerminals extends Object implements Terminals

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.Terminals

`Terminals.Output`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTerminals()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract AbstractTerminal`
`createTerminal(Terminals.Output output)`
`Terminal`
`getTerminal(Terminals.Output output)`
Returns the terminal attached to the given output.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.rubygrapefruit.platform.Terminals

`isTerminal`

## Constructor Details

### AbstractTerminals

public AbstractTerminals()

## Method Details

### getTerminal

public Terminal getTerminal(Terminals.Output output)
Description copied from interface: `Terminals`
Returns the terminal attached to the given output.

Specified by:
  `getTerminal` in interface `Terminals`
Returns:
  The terminal. Never returns null.

### createTerminal

protected abstract AbstractTerminal createTerminal(Terminals.Output output)